# List all big segment store integrations

GET https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store

List all big segment store integrations.

Reference: https://launchdarkly.com/docs/api/persistent-store-integrations-beta/get-big-segment-store-integrations

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: LaunchDarkly REST API
  version: 1.0.0
paths:
  /api/v2/integration-capabilities/big-segment-store:
    get:
      operationId: get-big-segment-store-integrations
      summary: List all big segment store integrations
      description: List all big segment store integrations.
      tags:
        - subpackage_persistentStoreIntegrationsBeta
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Big segment store collection response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BigSegmentStoreIntegrationCollection'
        '401':
          description: Invalid access token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorRep'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorRep'
        '404':
          description: Environment or project not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorRep'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedErrorRep'
servers:
  - url: https://app.launchdarkly.com
  - url: https://app.launchdarkly.us
components:
  schemas:
    Link:
      type: object
      properties:
        href:
          type: string
          description: The URL of the link
        type:
          type: string
          description: The type of the link
      title: Link
    BigSegmentStoreIntegrationCollectionLinks:
      type: object
      properties:
        self:
          $ref: '#/components/schemas/Link'
        parent:
          $ref: '#/components/schemas/Link'
      required:
        - self
      title: BigSegmentStoreIntegrationCollectionLinks
    BigSegmentStoreIntegrationLinks:
      type: object
      properties:
        self:
          $ref: '#/components/schemas/Link'
        parent:
          $ref: '#/components/schemas/Link'
        project:
          $ref: '#/components/schemas/Link'
        environment:
          $ref: '#/components/schemas/Link'
      required:
        - self
        - parent
        - project
        - environment
      title: BigSegmentStoreIntegrationLinks
    BigSegmentStoreIntegrationIntegrationKey:
      type: string
      enum:
        - redis
        - dynamodb
      description: The integration key
      title: BigSegmentStoreIntegrationIntegrationKey
    FormVariableConfig:
      type: object
      additionalProperties:
        description: Any type
      title: FormVariableConfig
    ActionIdentifier:
      type: string
      title: ActionIdentifier
    ActionSpecifier:
      type: string
      title: ActionSpecifier
    AccessDeniedReasonEffect:
      type: string
      enum:
        - allow
        - deny
      description: Whether this statement should allow or deny actions on the resources.
      title: AccessDeniedReasonEffect
    AccessDeniedReason:
      type: object
      properties:
        resources:
          type: array
          items:
            type: string
          description: Resource specifier strings
        notResources:
          type: array
          items:
            type: string
          description: >-
            Targeted resources are the resources NOT in this list. The
            <code>resources</code> and <code>notActions</code> fields must be
            empty to use this field.
        actions:
          type: array
          items:
            $ref: '#/components/schemas/ActionSpecifier'
          description: Actions to perform on a resource
        notActions:
          type: array
          items:
            $ref: '#/components/schemas/ActionSpecifier'
          description: >-
            Targeted actions are the actions NOT in this list. The
            <code>actions</code> and <code>notResources</code> fields must be
            empty to use this field.
        effect:
          $ref: '#/components/schemas/AccessDeniedReasonEffect'
          description: >-
            Whether this statement should allow or deny actions on the
            resources.
        role_name:
          type: string
      required:
        - effect
      title: AccessDeniedReason
    AccessDenied:
      type: object
      properties:
        action:
          $ref: '#/components/schemas/ActionIdentifier'
        reason:
          $ref: '#/components/schemas/AccessDeniedReason'
      required:
        - action
        - reason
      title: AccessDenied
    AccessAllowedReasonEffect:
      type: string
      enum:
        - allow
        - deny
      description: Whether this statement should allow or deny actions on the resources.
      title: AccessAllowedReasonEffect
    AccessAllowedReason:
      type: object
      properties:
        resources:
          type: array
          items:
            type: string
          description: Resource specifier strings
        notResources:
          type: array
          items:
            type: string
          description: >-
            Targeted resources are the resources NOT in this list. The
            <code>resources</code> and <code>notActions</code> fields must be
            empty to use this field.
        actions:
          type: array
          items:
            $ref: '#/components/schemas/ActionSpecifier'
          description: Actions to perform on a resource
        notActions:
          type: array
          items:
            $ref: '#/components/schemas/ActionSpecifier'
          description: >-
            Targeted actions are the actions NOT in this list. The
            <code>actions</code> and <code>notResources</code> fields must be
            empty to use this field.
        effect:
          $ref: '#/components/schemas/AccessAllowedReasonEffect'
          description: >-
            Whether this statement should allow or deny actions on the
            resources.
        role_name:
          type: string
      required:
        - effect
      title: AccessAllowedReason
    AccessAllowedRep:
      type: object
      properties:
        action:
          $ref: '#/components/schemas/ActionIdentifier'
        reason:
          $ref: '#/components/schemas/AccessAllowedReason'
      required:
        - action
        - reason
      title: AccessAllowedRep
    Access:
      type: object
      properties:
        denied:
          type: array
          items:
            $ref: '#/components/schemas/AccessDenied'
        allowed:
          type: array
          items:
            $ref: '#/components/schemas/AccessAllowedRep'
      required:
        - denied
        - allowed
      title: Access
    UnixMillis:
      type: integer
      format: int64
      title: UnixMillis
    StoreIntegrationError:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        timestamp:
          $ref: '#/components/schemas/UnixMillis'
      title: StoreIntegrationError
    BigSegmentStoreStatus:
      type: object
      properties:
        available:
          type: boolean
          description: >-
            Whether the persistent store integration is fully synchronized with
            the LaunchDarkly environment, and the <code>lastSync</code> occurred
            within a few minutes
        potentiallyStale:
          type: boolean
          description: >-
            Whether the persistent store integration may not be fully
            synchronized with the LaunchDarkly environment. <code>true</code> if
            the integration could be stale.
        lastSync:
          $ref: '#/components/schemas/UnixMillis'
          description: >-
            Timestamp of when the most recent successful sync occurred between
            the persistent store integration and the LaunchDarkly environment.
        lastError:
          $ref: '#/components/schemas/UnixMillis'
          description: >-
            Timestamp of when the most recent synchronization error occurred, if
            any
        errors:
          type: array
          items:
            $ref: '#/components/schemas/StoreIntegrationError'
      title: BigSegmentStoreStatus
    BigSegmentStoreIntegration:
      type: object
      properties:
        _links:
          $ref: '#/components/schemas/BigSegmentStoreIntegrationLinks'
          description: The location and content type of related resources
        _id:
          type: string
          description: The integration ID
        integrationKey:
          $ref: '#/components/schemas/BigSegmentStoreIntegrationIntegrationKey'
          description: The integration key
        projectKey:
          type: string
          description: The project key
        environmentKey:
          type: string
          description: The environment key
        config:
          $ref: '#/components/schemas/FormVariableConfig'
          description: >-
            The delivery configuration for the given integration provider. Only
            included when requesting a single integration by ID. Refer to the
            <code>formVariables</code> field in the corresponding
            <code>manifest.json</code> for a full list of fields for each
            integration.
        'on':
          type: boolean
          description: Whether the configuration is turned on
        tags:
          type: array
          items:
            type: string
          description: List of tags for this configuration
        name:
          type: string
          description: Name of the configuration
        version:
          type: integer
          description: Version of the current configuration
        _access:
          $ref: '#/components/schemas/Access'
          description: Details on the allowed and denied actions for this configuration
        _status:
          $ref: '#/components/schemas/BigSegmentStoreStatus'
          description: Details on the connection status of the persistent store integration
      required:
        - _links
        - _id
        - integrationKey
        - projectKey
        - environmentKey
        - config
        - 'on'
        - tags
        - name
        - version
        - _status
      title: BigSegmentStoreIntegration
    BigSegmentStoreIntegrationCollection:
      type: object
      properties:
        _links:
          $ref: '#/components/schemas/BigSegmentStoreIntegrationCollectionLinks'
          description: The location and content type of related resources
        items:
          type: array
          items:
            $ref: '#/components/schemas/BigSegmentStoreIntegration'
          description: An array of persistent store integration configurations
      required:
        - _links
        - items
      title: BigSegmentStoreIntegrationCollection
    UnauthorizedErrorRep:
      type: object
      properties:
        code:
          type: string
          description: Specific error code encountered
        message:
          type: string
          description: Description of the error
      required:
        - code
        - message
      title: UnauthorizedErrorRep
    ForbiddenErrorRep:
      type: object
      properties:
        code:
          type: string
          description: Specific error code encountered
        message:
          type: string
          description: Description of the error
      required:
        - code
        - message
      title: ForbiddenErrorRep
    NotFoundErrorRep:
      type: object
      properties:
        code:
          type: string
          description: Specific error code encountered
        message:
          type: string
          description: Description of the error
      required:
        - code
        - message
      title: NotFoundErrorRep
    RateLimitedErrorRep:
      type: object
      properties:
        code:
          type: string
          description: Specific error code encountered
        message:
          type: string
          description: Description of the error
      required:
        - code
        - message
      title: RateLimitedErrorRep
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Authorization

```

## SDK Code Examples

```python
import requests

url = "https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```